Package org.jCharts.axisChart

# Class StackedBarChart

java.lang.Object
org.jCharts.axisChart.StackedBarChart

abstract class StackedBarChart extends Object

## Constructor Summary

Constructors
Constructor
Description
`StackedBarChart()`

## Method Summary

Modifier and Type
Method
Description
`private static void`
`horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingX)`
`(package private) static void`
`render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)`
Draws the chart
`private static void`
`verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingY)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackedBarChart

StackedBarChart()

## Method Details

### render

static void render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet) throws ChartDataException
Draws the chart

Parameters:
  `axisChart` -
Throws:
  `ChartDataException`

### horizontalPlot

private static void horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingX) throws ChartDataException

Parameters:
  `axisChart` -
  `iAxisChartDataSet` -
  `stackedBarChartProperties` -
  `dataAxisProperties` -
  `g2d` -
  `rectangle` -
  `startingX` -
Throws:
  `ChartDataException`

### verticalPlot

private static void verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, StackedBarChartProperties stackedBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingY)

Parameters:
  `axisChart` -
  `iAxisChartDataSet` -
  `stackedBarChartProperties` -
  `dataAxisProperties` -
  `g2d` -
  `rectangle` -
  `startingY` -